Package com.arms.api.jira.jiraissuetype.service

## Class JiraIssueTypeImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.jira.jiraissuetype.service.JiraIssueTypeImpl

- All Implemented Interfaces:
    `JiraIssueType`, `TreeService`

      @Service("jiraIssueType")
      public class JiraIssueTypeImpl
      extends TreeServiceImpl
      implements JiraIssueType

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraIssueTypeImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<JiraIssueStatusEntity>` | `getIssueStatusList​(JiraIssueTypeEntity paramEntity)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### JiraIssueTypeImpl

          public JiraIssueTypeImpl()

  - ### Method Detail

    - #### getIssueStatusList

          public java.util.List<JiraIssueStatusEntity> getIssueStatusList​(JiraIssueTypeEntity paramEntity)
                                                                   throws java.lang.Exception

      Specified by:
        `getIssueStatusList` in interface `JiraIssueType`
      Throws:
        `java.lang.Exception`